### Hierarchy

- Util

## Index

### Methods

- castToType
- copy
- copyToClipboard
- deepAssign
- getTimeStamp
- getUUID
- isBrowser
- isMergebleObject
- isObject
- isOnline

## Methods

### Static castToType

- castToType(o: any): any

- - Defined in util/util.ts:38

  #### Parameters

  - ##### o: any

  #### Returns any

### Static copy

- copy(obj: any): any

- - Defined in util/util.ts:3

  #### Parameters

  - ##### obj: any

  #### Returns any

### Static copyToClipboard

- copyToClipboard(str: string): void

- - Defined in util/util.ts:113

  #### Parameters

  - ##### str: string

  #### Returns void

### Static deepAssign

- deepAssign(target: any, ...sources: any[]): any

- - Defined in util/util.ts:7

  #### Parameters

  - ##### target: any

  - ##### Rest ...sources: any[]

  #### Returns any

### Static getTimeStamp

- getTimeStamp(date?: any): number

- - Defined in util/util.ts:51

  Returns the current date as seconds since midnight Jan 1, 1970.

  #### Parameters

  - ##### Default value date: any = null

  #### Returns number

### Static getUUID

- getUUID(): string

- - Defined in util/util.ts:66

  Returns a UUID.

  #### Returns string

### Static isBrowser

- isBrowser(): boolean

- - Defined in util/util.ts:109

  Checks if the application is running in a browser.

  #### Returns boolean

### Static isMergebleObject

- isMergebleObject(item: any): boolean

- - Defined in util/util.ts:34

  #### Parameters

  - ##### item: any

  #### Returns boolean

### Static isObject

- isObject(item: any): boolean

- - Defined in util/util.ts:30

  #### Parameters

  - ##### item: any

  #### Returns boolean

### Static isOnline

- isOnline(): boolean

- - Defined in util/util.ts:79

  Checks if the application is running in a browser.

  #### Returns boolean